Sazabi
APIMCP connectors

Toggle an MCP connector's read-only mode

Toggle the read-only restriction on an MCP connector.

PATCH https://api.sazabi.com/v1/mcp-connectors/{connectionId}/read-only

PATCH
/mcp-connectors/{connectionId}/read-only

Path Parameters

connectionId*string

Connection ID to update.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/mcp-connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/read-only" \  -H "Content-Type: application/json" \  -d '{    "readOnly": true  }'
{  "connector": {    "maskedHeaders": [      {        "id": "string",        "name": "string",        "maskedValue": "string"      }    ],    "grantedScopes": [      "string"    ],    "connectionStatus": {      "state": "connected",      "reasonCode": "credentials_rejected",      "checkedAt": "2019-08-24T14:15:22Z",      "verification": "verified"    },    "recovery": {      "action": "reconnect",      "canCheck": true,      "canDisconnect": true,      "target": {        "kind": "integration",        "resourceId": "string",        "providerId": "string",        "scope": {          "kind": "user",          "id": "string"        }      }    },    "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d",    "connectionKey": "string",    "providerId": "string",    "displayName": "string",    "source": "preset",    "installStatus": "configured",    "authMode": "none",    "transport": "streamable-http",    "serverUrl": "string",    "readOnly": true,    "management": {      "mode": "user",      "managedBy": {        "type": "integration",        "id": "string",        "displayName": "string",        "iconKey": "string"      },      "capabilities": {        "canRename": true,        "canEditCredentials": true,        "canSetReadOnly": true,        "canConfigureTools": true,        "canDisconnect": true      }    },    "enabledToolCount": 0,    "connectedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}